X2Go Bug report logs - #1057
x2gobroker-authservice broken in Ubuntu 16.04

version graph

Package: x2gobroker-authservice; Maintainer for x2gobroker-authservice is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-authservice is src:x2gobroker.

Reported by: Walid MOGHRABI <w.moghrabi@servicemagic.eu>

Date: Fri, 8 Jul 2016 13:25:02 UTC

Severity: grave

Tags: patch, pending, stable

Merged with 1056

Found in version 0.0.3.0

Fixed in version 0.0.3.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1057; Package x2gobroker-authservice. (Fri, 08 Jul 2016 13:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 08 Jul 2016 13:25:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Walid MOGHRABI <w.moghrabi@servicemagic.eu>
To: submit@bugs.x2go.org
Subject: x2gobroker-authservice broken in Ubuntu 16.04
Date: Fri, 8 Jul 2016 15:23:00 +0200 (CEST)
Package: x2gobroker-authservice 
Version: 0.0.3.0 
Severity: grave
Tags: stable,patch

For days I was struggling with x2gobroker-authservice not working when authenticating against PAM.
I eventualy discovered it was the pam class instanciation in /usr/sbin/x2gobroker-authservice that was not working with the following error : 

error: uncaptured python exception, closing channel <__main__.AuthClient connected '' at 0x7f0aa5c11f80> (<type 'exceptions.AttributeError'>:'module' object has no attribute 'authenticate' [/usr/lib/python2.7/asyncore.py|read|83] [/usr/lib/python2.7/asyncore.py|handle_read_event|449] [/usr/sbin/x2gobroker-authservice|handle_read|81])

It seems the pam.py module has probably been refaktored in this Ubuntu making the authservice failing.

Here is a patch for the fix :

-----------------------------------------------------------------------------------------
--- /usr/sbin/x2gobroker-authservice.dist	2016-07-08 15:07:40.387403000 +0200
+++ /usr/sbin/x2gobroker-authservice	2016-07-08 15:07:00.219403000 +0200
@@ -78,7 +78,11 @@
                 self.send('bad\n')
                 self.logger.warning('bad authentication data received')
             else:
-                if pam.authenticate(user, passwd, service):
+                if pam.pam:
+                    opam = pam.pam()
+                else:
+                    opam = pam
+                if opam.authenticate(user, passwd, service):
                     self.send('ok\n')
                     self.logger.info('successful authentication for \'{user}\' with password \'<hidden>\' against PAM service \'{service}\''.format(user=user, service=service))
                 else:
-----------------------------------------------------------------------------------------


Test conditions :
===============
    * Ubuntu Server 16.04 LTS up to date (2016-07-08)
    * python-pampy : 1.8.2
    * x2gobroker-authservice : 0.0.3.0 (from x2go/stable ppa)



Best regards,

Walid Moghrabi
	
---
DISCLAIMER: This e-mail is private and confidential and may contain proprietary or legally privileged information. It is for the intended recipient only. If you have received this email in error, please notify the author by replying to it and then destroy it. If you are not the intended recipient you must not use, disclose, distribute, copy, print or rely on this e-mail or any attachment. Thank you


Merged 1056 1057 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Fri, 08 Jul 2016 18:50:01 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 10 Jul 2016 02:35:02 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.3.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 10 Jul 2016 02:35:02 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 01 Dec 2016 21:30:02 GMT) (full text, mbox, link).


Notification sent to Walid MOGHRABI <w.moghrabi@servicemagic.eu>:
Bug acknowledged by developer. (Thu, 01 Dec 2016 21:30:02 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 30 Dec 2016 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 7 00:59:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.